From 8fa2b53ee0db1827a4ddd88a7e754a7b1d91ca2c Mon Sep 17 00:00:00 2001
From: Michael Orlitzky <michael@orlitzky.com>
Date: Fri, 25 Aug 2023 20:33:31 -0400
Subject: [PATCH 1/1] configure.ac: delete _GLIBCXX_ASSERTIONS override

This was added upstream when it was pointed out that the codebase
contains undefined behavior that triggers glibcxx's assertions.
Disabling the assertions without fixing the undefined behavior is not
a satisfactory solution, so we drop the override.
---
 configure.ac | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/configure.ac b/configure.ac
index d66c3e1..6fef28b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -45,10 +45,6 @@ GINAC_STD_CXX_HEADERS
 AC_CHECK_HEADERS(regex)
 AC_CHECK_FUNCS(tgammaf)
 
-dnl CXXFLAGS="$CXXFLAGS -std=c++0x"
-dnl avoid "security" checks for vectors
-CXXFLAGS="$CXXFLAGS -U_GLIBCXX_ASSERTIONS"
-
 dnl Define DOUBLEVAL if bigendian
 if test "x$ac_cv_c_bigendian" = "xyes"; then
 	CXXFLAGS="$CXXFLAGS -DDOUBLEVAL"
-- 
2.41.0
